Foxit PDF SDK

Instance Methods | List of all members
FSPDFXCompliance Class Reference
Inheritance diagram for FSPDFXCompliance:

## Instance Methods
(FSResultInformation *) | - convertPDFFile:saved_pdf_path:convert_to_version:view_or_print_condition:to_convert_rgb_or_lab:to_decalibrate_gray_or_cmyk:progress_callback:
| Convert a PDF file with specified PDF/X version. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another PDF/X compliance object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(FSResultInformation *) | - verify:src_pdf_path:first_page_index:last_page_index:progress_callback:
| Verify a PDF file with specified PDF/X version. More...

## Detailed Description

This class can be used for PDF/X compliance verification or converting a PDF file to a PDF/X format. Please ensure FSComplianceEngine has been initialized successfully.

See also
  FSComplianceEngine

## Method Documentation

## ◆ convertPDFFile:saved_pdf_path:convert_to_version:view_or_print_condition:to_convert_rgb_or_lab:to_decalibrate_gray_or_cmyk:progress_callback:()

- (FSResultInformation *) convertPDFFile: |  | (NSString *) | src_pdf_path
saved_pdf_path: |  | (NSString *) | saved_pdf_path
convert_to_version: |  | (FSPDFXComplianceVersion) | convert_to_version
view_or_print_condition: |  | (FSComplianceEngineViewOrPrintCondition) | view_or_print_condition
to_convert_rgb_or_lab: |  | (BOOL) | to_convert_rgb_or_lab
to_decalibrate_gray_or_cmyk: |  | (BOOL) | to_decalibrate_gray_or_cmyk
progress_callback: |  | (id<FSComplianceProgressCallback>) | progress_callback

Convert a PDF file with specified PDF/X version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/X version to convert. Please refer to values starting from FSPDFXComplianceVersionPDFX1a and this should be one of these values.
  [in] | view_or_print_condition | Viewing or printing condition. Please refer to values starting from FSComplianceEngineViewOrPrintConditionAuto and this should be one of these values.
  [in] | to_convert_rgb_or_lab | Whether to convert device independ RGB or Lab color into destination color space. YES means to convert, NO means not to convert. It only works if convert_to_version is not FSPDFXComplianceVersionPDFX1a, FSPDFXComplianceVersionPDFX1aCoatedGRACoL2006, FSPDFXComplianceVersionPDFX1aISOCoatedv2ECI, FSPDFXComplianceVersionPDFX1aJapanColor2001Coated and FSPDFXComplianceVersionPDFX1aPSOCoatedv3ECI.
  [in] | to_decalibrate_gray_or_cmyk | Whether to decalibrate device independent Gray or CMYK. YES means to decalibrate, NO means not to decalibrate.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be nil. Default value: nil.

Returns
  A FSResultInformation object.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSPDFXCompliance*) | other |

Constructor, with another PDF/X compliance object.

Parameters

  [in] | other | Another PDF/X compliance object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ verify:src_pdf_path:first_page_index:last_page_index:progress_callback:()

- (FSResultInformation *) verify: |  | (FSPDFXComplianceVersion) | verify_version
src_pdf_path: |  | (NSString *) | src_pdf_path
first_page_index: |  | (int) | first_page_index
last_page_index: |  | (int) | last_page_index
progress_callback: |  | (id<FSComplianceProgressCallback>) | progress_callback

Verify a PDF file with specified PDF/X version.

Parameters

  [in] | verify_version | PDF/X version to verify. Please refer to values starting from FSPDFXComplianceVersionPDFX1a to object.